const assert = require('assert');
const {By} = require('selenium-webdriver');


exports.runComment = async function(driver, hash) {
    try {
        await driver.get("http://localhost:5000/preview?hash=" + hash);
        await driver.findElement(By.linkText("QC")).click(); 
        await driver.findElement(By.id('checkMediumSegmentation')).click();
        await driver.findElement(By.id('checkMediumImage')).click();

        let maxTextLength = await driver.findElement(By.css('#imageComment')).getAttribute("maxlength").then(function(value){
            return value
        });
        assert.strictEqual(maxTextLength,"280")
       //////////////////////////////////////
       await driver.findElement(By.css('#imageComment')).click();
       await driver.findElement(By.css('#imageComment')).sendKeys("Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent id ligula quam. Nullam posuere tincidunt nisi, in eleifend lacus cursus quis. Donec condimentum enim nisl, congue posuere quam feugiat et. Quisque eu cursus nulla. Fusce porttitor sit.");
       
       await driver.findElement(By.css('#segmentationComment')).click();
       await driver.findElement(By.css('#segmentationComment')).sendKeys("Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent id ligula quam. Nullam posuere tincidunt nisi, in eleifend lacus cursus quis. Donec condimentum enim nisl, congue posuere quam feugiat et. Quisque eu cursus nulla. Fusce porttitor sit.");
       
        console.log(" ✅ tests comment passed!");
    }catch(e){
        console.error( " ❌ ERROR on comment tests");
    }
   
}



