# Wikipedia description extractor for Brain Structures

Mini script made with node, to extract the Wikipedia description of the brain structures in the context of the Papaya project (2nd semester project of M2 INFO).

## Run
    npm install
    npm start

## Data repository
Contains the json with the name of the structures whose description we want


## What it does

First of all we get the labels existing in the data repository, after that we use the Mediawiki API to search if there is a Wikipedia page for each label.
Then from the retrieved page name, we fetch the corresponding Wikipedia link to retrieve the first paragraph (because the extract given by the Mediawiki API, is not satisfying).
And finally we write the descriptions in a JSON file.

